# Stable Kernel Patches Review Status
Please list your name and review result below the patch item

  * UR:  Under Review
  * ACK: Acknowledge (if the patch is accepted)
  * TBB: To be backported (if other patches should be also backported)
  * NAK: Negative acknowledge (if the patch is rejected, please list the reason)
  * IGN: Patch was not reviewed as it is out of scope for CIP project


## v6.1.74
  - 8fd7f44624538 Linux 6.1.74
  - a31690d3dd417 scripts/decode_stacktrace.sh: optionally use LLVM utilities
  ACK: pavel -- just a debugging improvement
  - 5e67191818fe9 coresight: etm4x: Fix width of CCITMIN field
  ACK: pavel -- just a cleanup, we don't have commit exposing this
  - d08e756e253b1 PCI: Add ACS quirk for more Zhaoxin Root Ports
  ACK: pavel
  - 41e3e3d813c95 leds: ledtrig-tty: Free allocated ttyname buffer on deactivate
  ACK: pavel
  - 419602d08b799 parport: parport_serial: Add Brainboxes device IDs and geometry
  ACK: pavel
  - 3936b54a8d655 parport: parport_serial: Add Brainboxes BAR details
  ACK: pavel
  - 17a8519cb359c uio: Fix use-after-free in uio_open
  ACK: pavel
  - 08af2ceb83d5b binder: fix comment on binder_alloc_new_buf() return value
  ACK: pavel
  - 35a3e8ceaf606 binder: fix trivial typo of binder_free_buf_locked()
  ACK: pavel -- just a comment tweak
  - 9fa04c93f2413 binder: fix use-after-free in shinker's callback
  ACK: pavel
  - ee14fd2c8b0aa binder: use EPOLLERR from eventpoll.h
  ACK: pavel
  - bed0acf330b2c Revert "md/raid5: Wait for MD_SB_CHANGE_PENDING in raid5d"
  ACK: pavel
  - e377a3346f7e9 ksmbd: free ppace array on error in parse_dacl
  UR: pavel -- c/e
  - 09d84f37f8412 ksmbd: don't allow O_TRUNC open on read-only share
  UR: pavel -- c/e
  - c24fc060ab7fd bpf: Add --skip_encoding_btf_inconsistent_proto, --btf_gen_optimized to pahole flags for v1.25
  ACK: pavel
  - 0d242f739cecf btf, scripts: Exclude Rust CUs with pahole
  ACK: pavel -- just a disables broken feature
  - b9765932199ef ASoC: SOF: Intel: hda-codec: Delay the codec device registration
  ACK: pavel
  - dcf95b26bef99 ACPI: resource: Add another DMI match for the TongFang GMxXGxx
  ACK: pavel
  - 5816a82caf12d ALSA: hda/realtek: Fix mute and mic-mute LEDs for HP Envy X360 13-ay0xxx
  ACK: pavel
  - 9d588f3b6f337 drm/crtc: fix uninitialized variable use
  ACK: pavel
  - 809ebacd22749 ARM: sun9i: smp: fix return code check of of_property_match_string
  ACK: pavel -- just a robustness
  - 0ce688d88af08 net: qrtr: ns: Return 0 if server port is not present
  ACK: pavel
  - 1e1b2f34e9a7e virtio_blk: fix snprintf truncation compiler warning
  ACK: pavel -- just a warning workaround
  - 9efdc0081ccae ida: Fix crash in ida_free when the bitmap is empty
  ACK: pavel
  - 24f3fec911a07 pinctrl: cy8c95x0: Fix get_pincfg
  ACK: pavel
  - a54e7741cc6d5 pinctrl: cy8c95x0: Fix typo
  ACK: pavel -- probably just a cleanup
  - 75e94701c0168 drm/amd/display: get dprefclk ss info from integration info table
  ACK: pavel
  - 426ab60bd2fdd i2c: rk3x: fix potential spinlock recursion on poll
  ACK: pavel
  - 5411e3292792b smb: client: fix potential OOB in smb2_dump_detail()
  ACK: pavel
  - da7ba20a71070 HID: nintendo: Prevent divide-by-zero on code
  ACK: pavel
  - 87e2739656f49 dm audit: fix Kconfig so DM_AUDIT depends on BLK_DEV_DM
  ACK: pavel
  - d0085e100f403 ALSA: hda/realtek: Add quirks for ASUS Zenbook 2022 Models
  UR: pavel -- it also deletes a quirk?
  - 2b055dc11e055 ASoC: Intel: bytcr_rt5640: Add new swapped-speakers quirk
  ACK: pavel
  - 8840d3491a034 ASoC: Intel: bytcr_rt5640: Add quirk for the Medion Lifetab S10346
  ACK: pavel
  - a63ab09a07b23 platform/x86: thinkpad_acpi: fix for incorrect fan reporting on some ThinkPad systems
  UR: pavel --!n let's not. long
  - 44521a5dc40bf HID: nintendo: fix initializer element is not constant error
  ACK: pavel
  - 3910d7a441f27 kselftest: alsa: fixed a print formatting warning
  ACK: pavel
  - 2a36b4e5e6086 Input: xpad - add Razer Wolverine V2 support
  ACK: pavel
  - 31fbbc809c9ec wifi: iwlwifi: pcie: avoid a NULL pointer dereference
  ACK: pavel
  - 05d268e2e4ad1 ARC: fix spare error
  ACK: pavel -- just a warning fix
  - 372a93921e290 s390/scm: fix virtual vs physical address confusion
  ACK: pavel -- just a cleanup
  - 626b0c0ab3a06 Input: i8042 - add nomux quirk for Acer P459-G2-M
  ACK: pavel
  - 30fe4c4135cbf Input: atkbd - skip ATKBD_CMD_GETID in translated mode
  UR: pavel -- I'm pretty sure this will bite
  - b6ef44cb6a67e reset: hisilicon: hi6220: fix Wvoid-pointer-to-enum-cast warning
  ACK: pavel -- just a warning fix
  - c5d9fd8c5aa43 Input: psmouse - enable Synaptics InterTouch for ThinkPad L14 G1
  ACK: pavel
  - b0407f68d917e ring-buffer: Do not record in NMI if the arch does not support cmpxchg in NMI
  ACK: pavel
  - 07787918c6cf5 tracing: Fix uaf issue when open the hist or hist_debug file
  ACK: pavel
  - 851865caacc55 MIPS: dts: loongson: drop incorrect dwmac fallback compatible
  UR: pavel -- just a cleanup ^
  - 708579592c683 stmmac: dwmac-loongson: drop useless check for compatible fallback
  UR: pavel -- just a cleanup v
  - e75c3db904456 tracing: Add size check when printing trace_marker output
  ACK: pavel
  - 7d885c1717652 tracing: Have large events show up as '[LINE TOO BIG]' instead of nothing
  ACK: pavel
  - 3ac74ed58f4a0 jbd2: fix soft lockup in journal_finish_inode_data_buffers()
  ACK: pavel
  - bb0e510b742b9 platform/x86: intel-vbtn: Fix missing tablet-mode-switch events
  ACK: pavel
  - f379394a78a0d neighbour: Don't let neigh_forced_gc() disable preemption for long
  ACK: pavel
  - 9b5044e17e1e3 drm/crtc: Fix uninit-value bug in drm_mode_setcrtc
  UR: pavel --!n needs dependency; buggy, fixed below
  - 28c9fced8ddfe jbd2: increase the journal IO's priority
  ACK: pavel
  - 6b15330693ac4 jbd2: correct the printing of write_flags in jbd2_write_superblock()
  ACK: pavel -- just a printk tweak
  - c84f9a5ecb825 clk: rockchip: rk3128: Fix HCLK_OTG gate register
  ACK: pavel
  - 3fe5fbc3a5576 clk: rockchip: rk3568: Add PLL rate for 292.5MHz
  ACK: pavel
  - c3597996a3ae8 LoongArch: Preserve syscall nr across execve()
  IGN: uli
  - c73cc2310a5a7 hwmon: (corsair-psu) Fix probe when built-in
  ACK: uli
  - 53442204b1dd9 drm/exynos: fix a wrong error checking
  ACK: uli
  - 1502a9a595e59 drm/exynos: fix a potential error pointer dereference
  ACK: uli
  - 92decec3caa76 drm/amdgpu: Add NULL checks for function pointers
  ACK: uli
  - 5337fb3ebaa46 arm64: dts: rockchip: Fix PCI node addresses on rk3399-gru
  ACK: uli
  - ce97686124915 nvme: prevent potential spectre v1 gadget
  ACK: uli
  - df2bd52354d8f nvme: introduce helper function to get ctrl state
  ACK: uli -- no Stable-dep-of, not used anywhere?
  - a50562146d6c7 ASoC: ops: add correct range check for limiting volume
  ACK: uli
  - 01a7727ab7f1b ASoC: da7219: Support low DC impedance headset
  ACK: uli
  - a7d15ac0853c5 net/tg3: fix race condition in tg3_reset_task()
  ACK: uli
  - c342afc146231 ASoC: hdac_hda: Conditionally register dais for HDMI and Analog
  ACK: uli
  - 0f37e198c3380 ASoC: amd: yc: Add DMI entry to support System76 Pangolin 13
  ACK: uli
  - 2fff601a1d988 nouveau/tu102: flush all pdbs on vmm flush
  ACK: uli -- sounds absolutely convincing :)
  - 94d2a9da31abb ASoC: Intel: skl_hda_dsp_generic: Drop HDMI routes when HDMI is not available
  ACK: uli
  - 1613195bf31e6 ASoC: rt5650: add mutex to avoid the jack detection failure
  ACK: uli
  - b45e21b529d87 ASoC: cs43130: Fix incorrect frame delay configuration
  ACK: uli
  - 0c7833f75857d ASoC: cs43130: Fix the position of const qualifier
  ACK: uli
  - b0c9af3d31bf6 ASoC: Intel: Skylake: mem leak in skl register function
  ACK: uli
  - 7c09cf80954b1 ASoC: nau8822: Fix incorrect type in assignment and cast to restricted __be16
  ACK: uli
  - 522f69ba6b4c1 ASoC: Intel: Skylake: Fix mem leak in few functions
  ACK: uli
  - 9f1429c5aa79e arm64: dts: rockchip: fix rk356x pcie msg interrupt name
  ACK: uli
  - 3996699d1f021 ASoC: wm8974: Correct boost mixer inputs
  ACK: uli
  - 63360763bff97 hwtracing: hisi_ptt: Don't try to attach a task
  ACK: uli
  - 2e3fc2a45a7ae hwtracing: hisi_ptt: Handle the interrupt in hardirq context
  ACK: uli
  - 319c5186d66ca nvme-core: check for too small lba shift
  ACK: pavel -- just a robustness against bad hw
  - f84b0c64452e5 blk-mq: don't count completed flush data request as inflight in case of quiesce
  ACK: pavel
  - 366d2101fc592 smb: client, common: fix fortify warnings
  ACK: pavel -- just a warning fix
  - 53a37135f763e drm/amdgpu: Fix cat debugfs amdgpu_regs_didt causes kernel null pointer
  ACK: pavel
  - d551c77727b71 drm/amd/display: update dcn315 lpddr pstate latency
  ACK: pavel -- just a pm tweak
  - 3c781fbb4f420 nvme-core: fix a memory leak in nvme_ns_info_from_identify()
  ACK: pavel
  - a37096b079b71 ALSA: hda: intel-nhlt: Ignore vbps when looking for DMIC 32 bps format
  ACK: pavel
  - 08f6de7b3f784 debugfs: fix automount d_fsdata usage
  ACK: pavel -- just a robustness
  - d1d138c043ab7 wifi: mac80211: handle 320 MHz in ieee80211_ht_cap_ie_to_sta_ht_cap
  ACK: pavel
  - 0c880e1e38ea9 wifi: avoid offset calculation on NULL pointer
  ACK: pavel
  - dd9465b108805 wifi: cfg80211: lock wiphy mutex for rfkill poll
  ACK: pavel
  - 91edb0cd1b423 mptcp: fix uninit-value in mptcp_incoming_options
  ACK: pavel
  - 90389621303b0 ALSA: hda - Fix speaker and headset mic pin config for CHUWI CoreBook XPro
  ACK: pavel
  - 9436ae696a192 pinctrl: lochnagar: Don't build on MIPS
  ACK: pavel -- simply disables problematic configuration
  - 5de9e9dd1828d f2fs: explicitly null-terminate the xattr list
  ACK: pavel -- just a robustness
